#!/bin/bash

if [ ! -d ../../web/ext/webswing ] ; then
    echo "Creating directory:"
    echo "    ../../web/ext/webswing"
    
    mkdir ../../web/ext/webswing
    mkdir ../../web/ext/webswing/etc
fi

echo "Copying web/etc/catalina-extra.properties => ../../web/ext/webswing/etc/."
/bin/cp web/etc/catalina-opts-extra.args ../../web/ext/webswing/etc/.


echo "Copying web/etc/webswing.properties => ../../web/ext/webswing/etc/."
/bin/cp web/etc/webswing.properties ../../web/ext/webswing/etc/.
echo "Copying web/etc/webswing.config => ../../web/ext/webswing/etc/."
/bin/cp web/etc/webswing.config ../../web/ext/webswing/etc/.


for d in api fonts ssl ; do
    echo "Copying web/$d/ => ../../web/ext/webswing/."
    /bin/cp -r web/$d ../../web/ext/webswing/.
done
